incubator-cloudstack-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From alena1...@apache.org
Subject [8/36] git commit: doc: Update mininum system requirements
Date Fri, 10 Aug 2012 17:50:03 GMT
doc: Update mininum system requirements

Fix some indentation in the file and also add some KVM requirements


Project: http://git-wip-us.apache.org/repos/asf/incubator-cloudstack/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-cloudstack/commit/602ea46d
Tree: http://git-wip-us.apache.org/repos/asf/incubator-cloudstack/tree/602ea46d
Diff: http://git-wip-us.apache.org/repos/asf/incubator-cloudstack/diff/602ea46d

Branch: refs/heads/vpc
Commit: 602ea46d67e2b9bf61655d905efa28b81cb7277c
Parents: a746871
Author: Wido den Hollander <wido@widodh.nl>
Authored: Fri Aug 10 12:26:20 2012 +0200
Committer: Wido den Hollander <wido@widodh.nl>
Committed: Fri Aug 10 12:26:20 2012 +0200

----------------------------------------------------------------------
 docs/en-US/minimum-system-requirements.xml |   48 +++++++++++++++-------
 1 files changed, 33 insertions(+), 15 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-cloudstack/blob/602ea46d/docs/en-US/minimum-system-requirements.xml
----------------------------------------------------------------------
diff --git a/docs/en-US/minimum-system-requirements.xml b/docs/en-US/minimum-system-requirements.xml
index 6f8b4ab..595c979 100644
--- a/docs/en-US/minimum-system-requirements.xml
+++ b/docs/en-US/minimum-system-requirements.xml
@@ -23,9 +23,9 @@
 -->
 
 <section id="minimum-system-requirements">
-		<title>Minimum System Requirements</title>
-		<section id="management-server-system-requirements">
-			<title>Management Server, Database, and Storage System Requirements</title>
+	<title>Minimum System Requirements</title>
+	<section id="management-server-system-requirements">
+		<title>Management Server, Database, and Storage System Requirements</title>
 		<para>The machines that will run the Management Server and MySQL database must meet
the following requirements. The same machines can also be used to provide primary and secondary
storage, such as via localdisk or NFS. The Management Server may be placed on a virtual machine.</para>
 		<itemizedlist>
 			<listitem><para>Operating system:</para>
@@ -33,7 +33,7 @@
 					<listitem><para>Preferred: RHEL 6.2+ 64-bit (https://access.redhat.com/downloads)
or CentOS 6.2+ 64-bit (http://isoredirect.centos.org/centos/6/isos/x86_64/).</para></listitem>
 					<listitem><para>Also supported (v3.0.3 and greater): RHEL and CentOS 5.4-5.x
64-bit</para></listitem>
 					<listitem><para>It is highly recommended that you purchase a RHEL support
license.
-						Citrix support can not be responsible for helping fix issues with the underlying OS.</para></listitem>
+					Citrix support can not be responsible for helping fix issues with the underlying OS.</para></listitem>
 				</itemizedlist>
 			</listitem>
 			<listitem><para>64-bit x86 CPU (more cores results in better performance)</para></listitem>
@@ -43,8 +43,8 @@
 			<listitem><para>Statically allocated IP address</para></listitem>
 			<listitem><para>Fully qualified domain name as returned by the hostname command</para></listitem>
 		</itemizedlist>
-		</section>
-		<section id="hypervisor-system-requirements">
+	</section>
+	<section id="hypervisor-system-requirements">
 		<title>Host/Hypervisor System Requirements</title>
 		<para>The host is where the cloud services run in the form of guest virtual machines.
Each host is one machine that meets the following requirements:</para>
 		<itemizedlist>
@@ -59,16 +59,34 @@
 			<listitem><para>When you deploy &PRODUCT;, the hypervisor host must not
have any VMs already running</para></listitem>
 		</itemizedlist>
 		<para>Hosts have additional requirements depending on the hypervisor. See the requirements
listed at the top of the Installation section for your chosen hypervisor:</para>
-		<itemizedlist>
-			<listitem><para>Citrix XenServer Installation</para></listitem>
-			<listitem><para>VMware vSphere Installation and Configuration</para></listitem>
-			<listitem><para>KVM Installation and Configuration</para></listitem>
-			<listitem><para>Oracle VM (OVM) Installation and Configuration</para></listitem>
-		</itemizedlist>
 		<warning>
-			<para>Be sure you fulfill the additional hypervisor requirements and installation
steps provided in this Guide. Hypervisor hosts must be properly prepared to work with CloudStack.
For example, the requirements for XenServer are listed under Citrix XenServer Installation.
-			</para>
+			<para>Be sure you fulfill the additional hypervisor requirements and installation
steps provided in this Guide. Hypervisor hosts must be properly prepared to work with CloudStack.
For example, the requirements for XenServer are listed under Citrix XenServer Installation.</para>
 		</warning>
+		<section id="hypervisor-requirements-xenserver">
+			<title>Citrix XenServer requirements</title>
+			<para>To be determined</para>
+		</section>
+		<section id="hypervisor-requirements-vmware">
+			<title>VMware vSphere requirements</title>
+			<para>To be determined</para>
+		</section>
+		<section id="hypervisor-requirements-kvm">
+			<title>KVM requirements</title>
+			<para>For running a KVM hypervisor the main requirement is the Linux distribution
it is running. Although you are not required to run these distributions, it is recommended.</para>
+			<para>Recommended distributions:</para>
+			<itemizedlist>
+			<listitem><para>CentOS / RHEL: 6.2 and 6.3</para></listitem>
+				<listitem><para>Ubuntu: 12.04(.1)</para></listitem>
+			</itemizedlist>
+			<para>The main requirement for KVM hypervisors is the libvirt and Qemu version.
If you whish to run on a different distribution, make sure you meet the following requirements:</para>
+			<itemizedlist>
+				<listitem><para>libvirt: 0.9.4 and higher</para></listitem>
+				<listitem><para>Qemu/KVM: 1.0 and higher</para></listitem>
+			</itemizedlist>
+		</section>
+		<section id="hypervisor-requirements-ovm">
+			<title>Oracle VM (OVM) requirements</title>
+			<para>To be determined</para>
 		</section>
 	</section>
-
+</section>


Mime
View raw message